Package ru.bgcrm.model

# Class CommonObjectLink

java.lang.Object
ru.bgcrm.model.CommonObjectLink

Direct Known Subclasses:
  `ProcessLink`

public class CommonObjectLink extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommonObjectLink()`
  `CommonObjectLink(int objectId, String linkObjectType, int linkObjectId, String linkObjectTitle)`
  `CommonObjectLink(int objectId, String linkObjectType, int linkObjectId, String linkObjectTitle, String linkObjectComment)`
  `CommonObjectLink(String objectType, int objectId, String linkObjectType, int linkObjectId, String linkObjectTitle)`
  `CommonObjectLink(String objectType, int objectId, String linkObjectType, int linkObjectId, String linkObjectTitle, String linkObjectComment)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `Preferences`
  `getConfigMap()`
  `String`
  `getLinkedObjectComment()`
  Deprecated.
  `int`
  `getLinkedObjectId()`
  Deprecated.
  `String`
  `getLinkedObjectTitle()`
  Deprecated.
  `String`
  `getLinkedObjectType()`
  Deprecated.
  `String`
  `getLinkObjectComment()`
  `int`
  `getLinkObjectId()`
  `String`
  `getLinkObjectTitle()`
  `String`
  `getLinkObjectType()`
  `int`
  `getObjectId()`
  `String`
  `getObjectType()`
  `int`
  `hashCode()`
  `void`
  `setConfigMap(Preferences configMap)`
  `void`
  `setLinkedObjectComment(String linkedObjectComment)`
  Deprecated.
  `void`
  `setLinkedObjectId(int objectId)`
  Deprecated.
  `void`
  `setLinkedObjectTitle(String objectTitle)`
  Deprecated.
  `void`
  `setLinkedObjectType(String objectType)`
  Deprecated.
  `void`
  `setLinkObjectComment(String linkedObjectComment)`
  `void`
  `setLinkObjectId(int objectId)`
  `void`
  `setLinkObjectTitle(String objectTitle)`
  `void`
  `setLinkObjectType(String objectType)`
  `void`
  `setObjectId(int id)`
  `void`
  `setObjectType(String objectType)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommonObjectLink

    public CommonObjectLink()

  - ### CommonObjectLink

    public CommonObjectLink(String objectType, int objectId, String linkObjectType, int linkObjectId, String linkObjectTitle, String linkObjectComment)

  - ### CommonObjectLink

    public CommonObjectLink(String objectType, int objectId, String linkObjectType, int linkObjectId, String linkObjectTitle)

  - ### CommonObjectLink

    public CommonObjectLink(int objectId, String linkObjectType, int linkObjectId, String linkObjectTitle)

  - ### CommonObjectLink

    public CommonObjectLink(int objectId, String linkObjectType, int linkObjectId, String linkObjectTitle, String linkObjectComment)

- ## Method Details

  - ### getObjectId

    public int getObjectId()

  - ### setObjectId

    public void setObjectId(int id)

  - ### getObjectType

    public String getObjectType()

  - ### setObjectType

    public void setObjectType(String objectType)

  - ### getLinkObjectId

    public int getLinkObjectId()

  - ### setLinkObjectId

    public void setLinkObjectId(int objectId)

  - ### getLinkObjectType

    public String getLinkObjectType()

  - ### setLinkObjectType

    public void setLinkObjectType(String objectType)

  - ### getLinkObjectTitle

    public String getLinkObjectTitle()

  - ### setLinkObjectTitle

    public void setLinkObjectTitle(String objectTitle)

  - ### getLinkObjectComment

    public String getLinkObjectComment()

  - ### setLinkObjectComment

    public void setLinkObjectComment(String linkedObjectComment)

  - ### getLinkedObjectId

    @Deprecated public int getLinkedObjectId()
    Deprecated.

  - ### setLinkedObjectId

    @Deprecated public void setLinkedObjectId(int objectId)
    Deprecated.

  - ### getLinkedObjectType

    @Deprecated public String getLinkedObjectType()
    Deprecated.

  - ### setLinkedObjectType

    @Deprecated public void setLinkedObjectType(String objectType)
    Deprecated.

  - ### getLinkedObjectTitle

    @Deprecated public String getLinkedObjectTitle()
    Deprecated.

  - ### setLinkedObjectTitle

    @Deprecated public void setLinkedObjectTitle(String objectTitle)
    Deprecated.

  - ### getLinkedObjectComment

    @Deprecated public String getLinkedObjectComment()
    Deprecated.

  - ### setLinkedObjectComment

    @Deprecated public void setLinkedObjectComment(String linkedObjectComment)
    Deprecated.

  - ### getConfigMap

    public Preferences getConfigMap()

  - ### setConfigMap

    public void setConfigMap(Preferences configMap)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`